<div class="mb-1">
    <input hidden type="file" (change)="onFileSelected($event)" #fileUploadButton>
    <button mat-raised-button color="primary" (click)="fileUploadButton.click()">Upload file</button>
</div>
<div *ngIf="value">
    <div *ngIf="valueType == 0">
        <span>Base64: {{value | slice:0:50}}</span>
        <span *ngIf="value.length > 50">...</span>
    </div>
    <span *ngIf="valueType == 1">Identifier: {{value}}</span>
</div>
<div>
    <mat-progress-bar mode="determinate" [value]="uploadProgress"></mat-progress-bar>
</div>